Package com.germinus.easyconf.struts

# Class RefreshConfigurationAction

Action
com.germinus.easyconf.struts.RefreshConfigurationAction

public class RefreshConfigurationAction extends Action
Refresh the configuration of a given component which uses EasyConf. If no component is specified all components of the current JVM are refreshed.

Author:
  jferrer

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`SUCCESS`

## Constructor Summary

Constructors
Constructor
Description
`RefreshConfigurationAction()`

## Method Summary

Modifier and Type
Method
Description
`ActionForward`
`execute(ActionMapping mapping, ActionForm form, HttpServletRequest req, HttpServletResponse response)`

## Field Details

### SUCCESS

private static final String SUCCESS

See Also:
  - Constant Field Values

## Constructor Details

### RefreshConfigurationAction

public RefreshConfigurationAction()

## Method Details

### execute

public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest req, HttpServletResponse response) throws Exception

Throws:
  `Exception`